COSPI(3)

NAME
cospi, cospif, cospil - half–cycle cosine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
cospi(double x);
float
cospif(float x);
long double
cospil(long double x);

DESCRIPTION
The cospi(), cospif(), and cospil() functions compute the cosine of π × x. and measure angles in half-cycles.

RETURN VALUES
The cospi(), cospif(), and cospil() functions returns cos(π × x). If x 2^(p - 1) where p is the floating–point precision of x, then the returned value is 1 and it has no significance.

SPECIAL VALUES

cospi(0)
    returns 1.

cospi(n/2)
    returns 0 for positive integers n.

cospi(n)
    returns 1 for even integers n.

cospi(n)
    returns -1 for odd integers n.

cospi(∞)
    return an and raises an FE_INVALID exception.

cospi()
    return an and raises an FE_INVALID exception.

SEE ALSO
cos(3), fenv(3), math(3), sin(3), sinpi(3), tan(3), tanpi(3)

AUTHORS
The half–cycle trignometric functions were written by Steven G. Kargl <kargl@FreeBSD.org>.

STANDARDS
These functions conform to ieee754-2008, to ISO/IEC TS 18661-4, "Information technology — Programming languages, their environments, and system software interfaces — Floating–point extensions for C" — Part 4: Supplementary functions, and to isoC-2023.